version 10
set mem 1G
set more off
clear
capture log close

log using Rauh&SchneiderJCMSreplication.log, replace


******************************************************************************
* Rauh & Schneider / JCMS / 2013: There is no such thing as a free open sky...
* Replication of statistical routines
******************************************************************************


do 1_windows_0E1.do			/* Creates a set of dummy variables that mark different event- and estimation windows 	*/
							/* -> FCTBanalysis.dta	*/

* do 1_windows_1E1.do		/* Execute these to replicate the robustness checks reported in the appendix */
* do 1_windows_0E1.do

						
do 2_marketmodels.do		/* Estimates and evaluates the best-fiting market model for each airline return series */
							/* -> FCTB.dta	*/
						
do 3_suranalyses_0E1.do		/* Estimates SUR of abnormal airline returns conditioned on events */

* 3_suranalyses_1E1.do		/* Execute these to replicate the robustness checks reported in the appendix */
* 3_suranalyses_0E5.do



log close

exit
