version 10
set more off
clear

use FCTB.dta, clear


*-----------------------------------------------
* Seemingly Unrelated Regressions
* for individual companies and individual events
*-----------------------------------------------

* SUR including test for independence of residuals across airline companies
* Setup for individual airlines follwos the best fitting market model during estimation window

sureg	(dafr event1-event27 dsbf250 dfuelro nineeleven04) ///
		(dbaw event1-event27 dftas dfuelro nineeleven04) /// 
		(ddlh event1-event27 ddaxk dfuelro nineeleven04, noconstant) ///
		(daza event1-event27 dmibtel l.dfuelro nineeleven04) /// 
		(daua event1-event27 datx dfuelro nineeleven04) ///
		(dfin event1-event27 dhex25 nineeleven04) ///
		(dklm event1-event27 daex l.dfuelro nineeleven04) ///
		(dsas event1-event27 domx nineeleven04) ///
		(daal event1-event27 dnya dfuelny nineeleven04) /// 
		(dcoa event1-event27 dnya l.dfuelny nineeleven04) /// 
		, corr

estimates store surevents
quietly estout surevents using sureventsresults0E5.csv, cells(b(star fmt(3))) stard unstack stats(r2 chi2 p) legend style(fixed) delim(";") replace


* Joint tests over all airline companies for all event effects = 0

tempname memhold
tempfile jointeventtests0E5


postfile `memhold' event chi2 df p using jointeventtests0E5, replace
forvalues i = 1(1)27 {
	quietly test event`i'
	post `memhold' (`i') (r(chi2)) (r(df)) (r(p))
	}

postclose `memhold'

use jointeventtests0E5.dta, clear
outsheet using jointeventtests0E5.csv, delim(";") replace
erase jointeventtests0E5.dta
	
	
exit
